Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ncmpcpp: upgrade to 0.6.7

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 4 Oct 2015 20:57:28 +0200

---
 testing/ncmpcpp/APKBUILD | 30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)
diff --git a/testing/ncmpcpp/APKBUILD b/testing/ncmpcpp/APKBUILD
index a16ab22..76ac915 100644
--- a/testing/ncmpcpp/APKBUILD
+++ b/testing/ncmpcpp/APKBUILD
_at_@ -1,24 +1,36 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=ncmpcpp
-pkgver=0.5.10
-pkgrel=1
+pkgver=0.6.7
+pkgrel=0
 pkgdesc="An almost exact clone of ncmpc with some new features."
-url="http://unkart.ovh.org/ncmpcpp/"
+url="http://ncmpcpp.rybczak.net/"
 arch="all"
 license="GPL2+"
-makedepends="curl-dev libmpdclient-dev taglib-dev ncurses-dev openssl-dev"
+depends=""
+depends_dev=""
+makedepends="boost-dev readline-dev curl-dev libmpdclient-dev
+	taglib-dev ncurses-dev openssl-dev"
+install=""
 subpackages="$pkgname-doc"
 source="http://ncmpcpp.rybczak.net/stable/ncmpcpp-$pkgver.tar.bz2"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 build () {
 	cd "$srcdir/$pkgname-$pkgver"
-	./configure --prefix=/usr \
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
 		--enable-unicode \
 		--enable-clock \
 		--with-taglib \
 		--with-curl \
-	|| return 1
+		|| return 1
 	make || return 1
 }
 
_at_@ -27,6 +39,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="298ed66325bcfe358e37e186c7ea4861  ncmpcpp-0.5.10.tar.bz2"
-sha256sums="ff6d5376a2d9caba6f5bb78e68af77cefbdb2f04cd256f738e39f8ac9a79a4a8  ncmpcpp-0.5.10.tar.bz2"
-sha512sums="8ddbc05bd8f3febe80cc5c04992a02f8c86151bb171f8f2e46e8df79210f9445e73fd65bdcaa397b3039ebcf510c6bb6ef61be790a6dcf07d5e35e59f71f3702  ncmpcpp-0.5.10.tar.bz2"
+md5sums="bc84461107649f4f259fff3ad4a36839  ncmpcpp-0.6.7.tar.bz2"
+sha256sums="08807dc515b4e093154a6e91cdd17ba64ebedcfcd7aa34d0d6eb4d4cc28a217b  ncmpcpp-0.6.7.tar.bz2"
+sha512sums="2161a9799c218fe506aa7645338c6e5b32bc6fcb8ee5bcdc76484a068242ae39fd884ece845e1c2f895305d2e6867a3074c266548322f80766c1b8dfeb5d39bb  ncmpcpp-0.6.7.tar.bz2"
-- 
2.6.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Oct 04 2015 - 20:57:28 GMT